import { HttpClientTestingModule } from '@angular/common/http/testing';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { LayoutComponent } from '@msfa-shared/components/layout/layout.component';
import { InformativRapportViewComponent } from './informativ-rapport-view.component';
import { InformativRapportViewService } from './informativ-rapport-view.service';
import { ApmModule } from '@elastic/apm-rum-angular';

describe('InformativRapportViewComponent', () => {
  let component: InformativRapportViewComponent;
  let fixture: ComponentFixture<InformativRapportViewComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
      declarations: [InformativRapportViewComponent, LayoutComponent],
      imports: [RouterTestingModule, ApmModule, HttpClientTestingModule],
      providers: [InformativRapportViewService],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(InformativRapportViewComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
